# Author: Theophanis Tsandilas
# Monte Calro Experiment to test the coverage of confidence intervals when drawing samples from a normal distribution

M <- 100 # True population mean
SD <- 10 # True population standard deviation
n <- 12  # Size of the samples

N <- 10000 # Number of sampling repetitions
count <- 0 # Counter of how many times the CI fails

for(i in 1:N){
    sample <- rnorm(n, mean = M, sd = SD)
    ci <- t.test(sample)$conf.int
    
    if(ci[2] < M || ci[1] > M) count <- count + 1
}

cat("Average number of failures = ", count/N, "\n")
cat("Coverage probability = ", (1 - count/N)*100, "%\n")
