# Author: Theophanis Tsandilas
#Code for generating the Figure on Lecture 3 - Page 39

N <- 100000 # Number of repetitions

n <- 5 # Sample size
mu <- 100 # Population mean
s <- 15 # Population SD

samples <- rep(NA, N)
for(i in 1:N){
    sample <- rnorm(n, mean = mu, sd = s)
    SD <- sd(sample)
    M <- mean(sample)
    
    samples[i] <- (M - mu)*sqrt(n)/SD
}

hist(samples, breaks = 400, xlim = c(-4,4))

par(new=T) # Overplot the t distribution
curve(dt(x,n-1), xlim = c(-4,4), ylab = NA, yaxt = "n", xaxt = "n")

par(new=T) # Overplot the normal distribution in red
curve(dnorm(x), xlim = c(-4,4), col="RED", ylab = NA, yaxt = "n", xaxt = "n")
